<?php

defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\Application\Service\FileManager;
use Concrete\Core\Entity\File\File;
use Concrete\Core\Form\Service\DestinationPicker\DestinationPicker;
use Concrete\Core\Form\Service\Widget\PageSelector;
use Concrete\Core\Support\Facade\Application;

use Concrete\Core\Application\Service\UserInterface;
use Concrete\Core\Utility\Service\Identifier;

if (!isset($bID)) {
  $bID = null;
}
if (!isset($title)) {
  $title = null;
}
if (!isset($description)) {
  $description = null;
}
if (!isset($backgroundColor)) {
  $backgroundColor = null;
}
if (!isset($color)) {
  $color = null;
}
if (!isset($template)) {
  $template = null;
}
if (!isset($audio)) {
  $audio = null;
}
$app = Application::getFacadeApplication();
$userInterface = $app->make(UserInterface::class);
$idHelper = $app->make(Identifier::class);
$id = $idHelper->getString(18);

$getString = Core::make('helper/validation/identifier')->getString(18);
//$tabs = array(
//  array('simple-audio-player-form-basics-' . $getString, t('Basics'), true),
//  array('simple-audio-player-form-options-' .$getString, t('Options'))
//);
//echo Core::make('helper/concrete/ui')->tabs($tabs);
echo $userInterface->tabs([
  ['slides-' . $id, t('File'), true],
  ['options-'. $id, t('Options')]
]);
//$fm = Core::make('helper/concrete/file_manager');
$fm = $app->make(FileManager::class);
$ch = Core::make('helper/form/color');
?>
<div class="tab-content simple-audio-player-form simple-audio-player-form-<?php echo $bID;?>" id="simple-audio-player-form-<?php echo $bID;?>">
  <div class="ccm-tab-content tab-pane active" id="slides-<?php echo $id; ?>" role="tabpanel">
    <div class="form-group">
      <?php
      print $fm->audio('select-audio-file', 'fID', t('Select Audio File'), $audio);
      ?>
    </div>
    <div class="form-group">
      <?php
      print $form->label('title', t('Title'));
      print $form->text('title', $title);
      ?>
    </div>
    <div class="form-group">
      <?php
      print $form->label('description', t('Description'));
      print $form->text('description', $description);
      ?>
    </div>
  </div>
  <div class="ccm-tab-content tab-pane" id="options-<?php echo $id; ?>" role="tabpanel">
    <?php
      echo "Template:";
    print $form->select('template', $templateOptions, $template);
    ?>
    <div class="simple-audio-player-template-options">
      <div class="simple-audio-player-template simple-audio-player-template-default">
        <div class="form-group">
        <?php
        print '<h4>' . t('Default HTML5 audio controls view.') . '</h4>';
        ?>
          <label class="control-label" for="link"><?php echo t('Max Width');?>
            <i class="launch-tooltip fa fa-question-circle" title="<?php echo t('Max width of the audio player ( set to 0 to disable ).')?>"></i>
          </label>
          <?php
          print $maxWidthForm;
          ?>
        </div>
      </div>
      <div class="simple-audio-player-template simple-audio-player-template-extra">
        <div class="form-group">
        <?php
        print '<h4>' . t('Default HTML5 audio controls view with no download.') . '</h4>';
        ?>
          <label class="control-label" for="link"><?php echo t('Max Width');?>
            <i class="launch-tooltip fa fa-question-circle" title="<?php echo t('Max width of the audio player ( set to 0 to disable ).')?>"></i>
          </label>
          <?php
          print $maxWidthForm2;
          ?>
        </div>
      </div>
      <div class="simple-audio-player-template simple-audio-player-template-simple">
        <div class="form-group">
        <?php
        print '<h4>' . t('Single button with color options.') . '</h4>';
        ?>
        </div>
        <div class="form-group">
        <?php
        print $form->label('color', t('Icon Color'), array('style' => 'margin-right: 16px'));
        print $ch->output($view->field('color'), $color, array('showAlpha' => true, 'clickoutFiresChange' => true));
        ?>
        </div>
        <div class="form-group">
        <?php
        print $form->label('backgroundColor', t('Background Color'), array('style' => 'margin-right: 16px'));
        print $ch->output($view->field('backgroundColor'), $backgroundColor, array('showAlpha' => true, 'clickoutFiresChange' => true));
        ?>
        </div>
      </div>
      <script>
      $(function() { 
        var form = document.getElementById('template');
        var value = form.value;
        $('.simple-audio-player-template').hide();
        $('.simple-audio-player-template-' + value ).show();
        $(form).change(function() {
          var value = $(this).val();
          $('.simple-audio-player-template').hide();
          $('.simple-audio-player-template-' + value ).show();
        });
        $('.range-slider-input').on('input', function(){
          $(this).closest('.range-slider').find('.range-slider-value').html($(this).val());
        });
      });
      </script>
    </div>
  </div>
</div>
